Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.stream.util
Class XMLPullReaderBase

    java.lang.Object
      weblogic.xml.stream.util.XMLPullReaderBase

All Implemented Interfaces:
  XMLPullReader, XMLReader

Deprecated. please use java standard StAX api

public class XMLPullReaderBase
extends Object
implements XMLPullReader

Implements the XMLPullReader interface using the weblogic.apache.xerces.parsers.SAXParser

Since:
  XMLInputStream 1.0
See Also:
  `XMLOutputStream`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected SAXPullParser` | `saxParser` Deprecated.

Constructor Summary
`XMLPullReaderBase()` Deprecated.
`XMLPullReaderBase(SAXPullParser parser)` Deprecated.

Method Summary
`ContentHandler` | `getContentHandler()` Deprecated.
`DTDHandler` | `getDTDHandler()` Deprecated.
`EntityResolver` | `getEntityResolver()` Deprecated.
`ErrorHandler` | `getErrorHandler()` Deprecated.
`boolean` | `getFeature(String name)` Deprecated.
`Object` | `getProperty(String name)` Deprecated.
`static void` | `main(String[] args)` Deprecated.
`void` | `parse(InputSource input)` Deprecated.
`void` | `parse(String systemId)` Deprecated.
`boolean` | `parseSome()` Deprecated. a method that allows iterative parsing of a document
`boolean` | `parseSomeSetup(InputSource input)` Deprecated. a prepare method for the parse
`boolean` | `parseSomeSetup(String systemId)` Deprecated. a prepare method for the parse
`void` | `setContentHandler(ContentHandler handler)` Deprecated.
`void` | `setDTDHandler(DTDHandler handler)` Deprecated.
`void` | `setEntityResolver(EntityResolver resolver)` Deprecated.
`void` | `setErrorHandler(ErrorHandler handler)` Deprecated.
`void` | `setFeature(String name, boolean state)` Deprecated.
`void` | `setProperty(String name, Object value)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### saxParser

    protected SAXPullParser saxParser

  Deprecated.

Constructor Detail

### XMLPullReaderBase

    public XMLPullReaderBase()
                      throws SAXException

  Deprecated.

### XMLPullReaderBase

    public XMLPullReaderBase(SAXPullParser parser)
                      throws SAXException

  Deprecated.

Method Detail

### getContentHandler

    public ContentHandler getContentHandler()

  Deprecated.
  Specified by:
    `getContentHandler` in interface `XMLReader`

### getDTDHandler

    public DTDHandler getDTDHandler()

  Deprecated.
  Specified by:
    `getDTDHandler` in interface `XMLReader`

### getEntityResolver

    public EntityResolver getEntityResolver()

  Deprecated.
  Specified by:
    `getEntityResolver` in interface `XMLReader`

### getErrorHandler

    public ErrorHandler getErrorHandler()

  Deprecated.
  Specified by:
    `getErrorHandler` in interface `XMLReader`

### getFeature

    public boolean getFeature(String name)
                       throws SAXNotRecognizedException,
                              SAXNotSupportedException

  Deprecated.
  Specified by:
    `getFeature` in interface `XMLReader`
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

### getProperty

    public Object getProperty(String name)
                       throws SAXNotRecognizedException,
                              SAXNotSupportedException

  Deprecated.
  Specified by:
    `getProperty` in interface `XMLReader`
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

### main

    public static void main(String[] args)
                     throws Exception

  Deprecated.
  Throws:
    `Exception`

### parse

    public void parse(InputSource input)
               throws SAXException,
                      IOException

  Deprecated.
  Specified by:
    `parse` in interface `XMLReader`
  Throws:
    `SAXException`
    `IOException`

### parse

    public void parse(String systemId)
               throws SAXException,
                      IOException

  Deprecated.
  Specified by:
    `parse` in interface `XMLReader`
  Throws:
    `SAXException`
    `IOException`

### parseSome

    public boolean parseSome()
                      throws SAXException

  Deprecated.
  Description copied from interface: `XMLPullReader`
  a method that allows iterative parsing of a document

  Specified by:
    `parseSome` in interface `XMLPullReader`
  Returns:
    true if data was parsed, false if no more data to parse
  Throws:
    `SAXException`

### parseSomeSetup

    public boolean parseSomeSetup(InputSource input)
                           throws IOException,
                                  SAXException

  Deprecated.
  Description copied from interface: `XMLPullReader`
  a prepare method for the parse

  Specified by:
    `parseSomeSetup` in interface `XMLPullReader`
  Parameters:
    `input` - the input to parse
  Throws:
    `IOException`
    `SAXException`

### parseSomeSetup

    public boolean parseSomeSetup(String systemId)
                           throws IOException,
                                  SAXException

  Deprecated.
  Description copied from interface: `XMLPullReader`
  a prepare method for the parse

  Specified by:
    `parseSomeSetup` in interface `XMLPullReader`
  Parameters:
    `systemId` - the data to parse
  Throws:
    `IOException`
    `SAXException`

### setContentHandler

    public void setContentHandler(ContentHandler handler)

  Deprecated.
  Specified by:
    `setContentHandler` in interface `XMLReader`

### setDTDHandler

    public void setDTDHandler(DTDHandler handler)

  Deprecated.
  Specified by:
    `setDTDHandler` in interface `XMLReader`

### setEntityResolver

    public void setEntityResolver(EntityResolver resolver)

  Deprecated.
  Specified by:
    `setEntityResolver` in interface `XMLReader`

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)

  Deprecated.
  Specified by:
    `setErrorHandler` in interface `XMLReader`

### setFeature

    public void setFeature(String name,
                           boolean state)
                    throws SAXNotRecognizedException,
                           SAXNotSupportedException

  Deprecated.
  Specified by:
    `setFeature` in interface `XMLReader`
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

### setProperty

    public void setProperty(String name,
                            Object value)
                     throws SAXNotRecognizedException,
                            SAXNotSupportedException

  Deprecated.
  Specified by:
    `setProperty` in interface `XMLReader`
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD